# <DBM Mod> World Bosses (BC)

## [r711](https://github.com/DeadlyBossMods/DBM-BCVanilla/tree/r711) (2024-03-19)
[Full Changelog](https://github.com/DeadlyBossMods/DBM-BCVanilla/compare/r710...r711) [Previous Releases](https://github.com/DeadlyBossMods/DBM-BCVanilla/releases)

- BUMP retail TOC  
- Update localization.cn.lua (#109)  
- don't sync to the placeholder repo  
- Update README.md  
- Update README.md  
- package for all flavors  
- Update localization.fr.lua (#105)  
- Fix fail  
- fix bugs in lethon that never got found since checkers never ran on the placeholder repos  
- Include Azeroth in this repo now, it'll be ignored on retail (but still instlaled for now)  
- more deprecation updates  
- modernize toc files  
- toc rename  
- toc restructuring  
- Fix bomb ID 1/2 mixup  
- Thermaplugg: Announce bomb dispenser id  
- Set min sync revision for Grubbis to include https://github.com/DeadlyBossMods/DBM-Unified/pull/466  
- tweak  
- emphasize when plague is on your pet as well  
- Update localization.es.lua (#101)  
- Update localization.de.lua (#99)  
- Just do it this way >.<  
- Full path  
- Specify path on checkout  
- Update localization.kr.lua (#97)  
- Update CI  
- Update ci.yml  
- Fix ci ENV  
- Move global validations from luacheck to LuaLS  
    Still keep the workflows separate for now to not fully block deploy on  
    errors in LuaLS  
- Remove Interface-BCC  
- Update localization.tw.lua  
- Update deDE Gnomeregan (#94)  
- Update localization.ru.lua (#93)  
- Fix for Classic Era Loatheb Corrupted Mind. (#92)  
    Co-authored-by: Michael Welter <me@mikinho.com>
  
- Update DBM-Raids-Vanilla-Classic.toc (#91)  
- bump mod hotfix revision  
- Improve goo marking method to use more robust GUID matching strategy to ensure all units get marked promptly instead of only some units occationally  
- Fix some locale-related issues (#90)  
- Ignore some LuaLS warnings  
    Warnings got triggered by https://github.com/DeadlyBossMods/DBM-Unified/pull/449  
- Update localization.br.lua (#88)  
- Update localization.fr.lua (#87)  
- Update localization.mx.lua (#86)  
- Update localization.es.lua (#85)  
- Fix LuaLS warnings  
- Enable LuaLS checking workflow  
- deDE update  
- Update localization.mx.lua (#82)  
- Update localization.es.lua (#81)  
- Target scanning on static arc no longer works so remove features related to it and switch to just a generic count warning on cast  
- due to nameplate distance, allow redundancy in icon setting, at least for GUID based scanning methods where icon conflicts won't result.  
- Grubbis: Add timer for first wave  
- Fix invalid object usage on chromaggus  
- Update localization.fr.lua (#78)  
- Add boss health frames for Menagerie and 4 Horsemen (#77)  
- deDE updates  
- Prune escort quests from outland mod  
- Update localization.fr.lua (#73)  
- Update localization.fr.lua (#74)  
- Update order of Gnomeregan mods (#75)  
- Update localization.ru.lua (#72)  
    * Update localization.ru.lua
  
    * Update localization.ru.lua
  
    * Update localization.ru.lua
  
    * Update localization.ru.lua  
- MechanicalMenagerie: make self heal a way bigger warning  
- Support ending previous stage timers earlier on Thermaplugg  
- Update localization.de.lua (#70)  
- Update localization.kr.lua (#71)  
- Thermaplugg updates (#61)  
- Update localization.tw.lua (#69)  
- Update localization.fr.lua (#64)  
- Update localization.br.lua (#66)  
- Update localization.ru.lua (#67)  
- Update localization.es.lua (#62)  
- Update localization.mx.lua (#63)  
- Update localization.cn.lua (#68)  
- deDE update (#60)  
    * deDE update
  
    * deDE update
  
    Boss names changed vs. original vanilla names  
- Normalize boss names for Menagerie  
- Update koKR (Classic) (#58)  
- Update localization.br.lua (#57)  
- Thermaplugg update: CombatStart timer and icons for button debuff  
    The idea is to quickly identify who can currently *not* press the button  
    to figure out who should click if multiple people are next to an active  
    button.  
- Disable tank attack announces by default, since it makes mod feel more spammy cause it basically means every tank stack is double announced. so only announce stacks by default.  
- Disable tank attack announces by default, since it makes mod feel more spammy cause it basically means every tank stack is double announced. so only announce stacks by default.  
- Also limit sprocketfire to tanks only, and throttle it and freezing to 1 second aggregation  
- Show all players with lighting arc debuff on infoframe for electrocutioner 6000, hopefully make it clearer to players still not understanding what's going on here  
- prevent early false wipes on Grubbis due to dropping combat long periods of time  
- tweak freezing stacks to also work on hybrid  
- fix another bad spellid  
- fix invalid spellid on petrify interrupt timer  
- change toxic ventilation to interrupt special announce  
- add note  
- actually register applied on thermaplugg  
- Update localization.fr.lua (#56)  
- Update localization.mx.lua (#53)  
    * Update localization.mx.lua
  
    * Update localization.mx.lua  
- Update localization.es.lua (#55)  
- Update localization.es.lua (#52)  
- Fix a bug that caused spell\_missed to get registered twice, which was causing it to process all events twice, and in turn show double reflect warnings  
- prevent more than one reflect ending message  
- Fix overheat not dispaying valid cast time  
- Fix invalid option/spell name on volley  
    fix missing short name on reflection fading  
- And push the Menagerie mod  
- Improve Crowd Pummeler with personal stack alerts  
    Improve Electrocutioner with target scanning on static arc, enabling yell, icon, and personal alert  
- Crowd pummeler update  
- Update viscous with real data and fix automarking  
- Grubbis Update  
- Grubbis Update  
- Push the mekgineer thermaplugg mod  
- Push the mekgineer thermaplugg mod  
- Push the mekgineer thermaplugg mod  
- Electrocutioner mod is polished up from live data  
- Preliminary Electrocutioner 6000 mod  
- Preliminary Electrocutioner 6000 mod  
- Preliminary grubbis mod  
- Preliminary grubbis mod  
- Add preliminary Viscous Fallout features  
- Add preliminary Viscous Fallout features  
- Add preliminary Viscous Fallout features  
- Add preliminary Viscous Fallout features  
- creatureIds and new notes  
- bump classic era toc  
- Register event SWING\_MISSED (#51)  
- Update MekgineerThermaplugg.lua (#50)  
    fix RegisterEvents  
- Add deDE locale for Gnomeregan (#49)  
- fix typo (#48)  
- Menagerie notes  
    First spell for thermaplugg  
- Prep SoD Stage 2 raid  
- Merge pull request #47 from Elnarfim/master  
    Update koKR (Vanilla)  
- Update koKR (Vanilla)  
- Merge remote-tracking branch 'upstream/master'  
- Make LuaLS happy (#46)  
- Update koKR (Vanilla)  
- Merge remote-tracking branch 'upstream/master'  
- Merge remote-tracking branch 'upstream/master'  
- Update koKR (Vanilla)  
- Merge remote-tracking branch 'upstream/master'  
- Merge remote-tracking branch 'upstream/master'  
- Merge remote-tracking branch 'upstream/master'  
- Update koKR (BCVanilla)  
- Merge remote-tracking branch 'upstream/master'  
- Merge remote-tracking branch 'upstream/master'  
- Update koKR (BC, Vanilla)  
